Subject: Re: [PATCH net-next 0/8] Fix/silence GCC 12 warnings in drivers/net/wireless/

From: Kalle Valo <[email-masked]>
Date: Sun, 22 May 2022 15:19:36 +0300

Jakub Kicinski <[email-masked]> writes:

> Hi Kalle & Johannes,
>
> as mentioned off list we'd like to get GCC 12 warnings quashed.
> This set takes care of the warnings we have in drivers/net/wireless/
> mostly by relegating them to W=1/W=2 builds.
>
> Is it okay for us to take this directly to net-next?
> Or perhaps via wireless-next with a quick PR by Monday?

We are not planning to submit any new pull requests so please take it
directly net-next.

> Jakub Kicinski (8):
>   wifi: plfxlc: remove redundant NULL-check for GCC 12
>   wifi: ath9k: silence array-bounds warning on GCC 12
>   wifi: rtlwifi: remove always-true condition pointed out by GCC 12
>   wifi: ath6k: silence false positive -Wno-dangling-pointer warning on
>     GCC 12
>   wifi: iwlwifi: use unsigned to silence a GCC 12 warning
>   wifi: brcmfmac: work around a GCC 12 -Warray-bounds warning
>   wifi: libertas: silence a GCC 12 -Warray-bounds warning
>   wifi: carl9170: silence a GCC 12 -Warray-bounds warning

Like I mentioned in the other email I don't really like these but I
understood they are urgent so:

Acked-by: Kalle Valo <[email-masked]>

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches